{
  "name": "automated",
  "version": "7.1.0",
  "description": "正在build",
  "private": true,
  "dependencies": {
    "@cool-midway/core": "^7.1.20",
    "@cool-midway/rpc": "^7.0.0",
    "@cool-midway/task": "^7.0.0",
    "@langchain/cohere": "^0.2.1",
    "@langchain/community": "^0.2.20",
    "@langchain/core": "^0.2.18",   
    "@langchain/openai": "^0.2.5",
    "@midwayjs/bootstrap": "^3.16.6",
    "@midwayjs/cache-manager": "^3.16.5",
    "@midwayjs/core": "^3.16.2",
    "@midwayjs/cron": "^3.16.5",
    "@midwayjs/cross-domain": "^3.16.6",
    "@midwayjs/decorator": "^3.16.2",
    "@midwayjs/info": "^3.16.6",
    "@midwayjs/koa": "^3.16.6",
    "@midwayjs/logger": "^3.4.2",
    "@midwayjs/socketio": "^3.15.2",
    "@midwayjs/static-file": "^3.16.6",
    "@midwayjs/typeorm": "^3.16.5",
    "@midwayjs/upload": "^3.16.7",
    "@midwayjs/validate": "^3.16.6",
    "@midwayjs/view-ejs": "^3.16.6",
    "@socket.io/redis-adapter": "^8.3.0",
    "axios": "^1.7.2",
    "bignumber.js": "^9.1.2",
    "cache-manager-ioredis-yet": "^2.1.1",
    "cheerio": "1.0.0-rc.12",
    "chromadb": "^1.8.1",
    "decompress": "^4.2.1",
    "download": "^8.0.0",
    "ioredis": "^5.3.2",
    "ipip-ipdb": "^0.6.0",
    "jsonwebtoken": "^9.0.2",
    "langchain": "^0.2.11",
    "lodash": "^4.17.21",
    "md5": "^2.3.0",
    "mini-svg-data-uri": "^1.4.4",
    "moment": "^2.30.1",
    "mysql2": "^3.11.0",
    "semver": "^7.6.0",
    "svg-captcha": "^1.4.0",
    "svg2png-wasm": "^1.4.1",
    "typeorm": "^0.3.20",
   "uuid": "^10.0.0",
    "ws": "^8.18.0"
  },
  "devDependencies": {
    "@midwayjs/cli": "^2.1.1",
    "@midwayjs/mock": "^3.16.5",
    "@types/jest": "^29.5.12",
    "@types/koa": "^2.15.0",
    "@types/node": "22",
    "cross-env": "^7.0.3",
    "jest": "^29.7.0",
    "mwts": "^1.3.0",
    "mwtsc": "^1.11.1",
    "prettier": "^3.3.3",
    "ts-jest": "^29.2.3",
    "typescript": "~5.5.4"
  },
  "engines": {
    "node": ">=12.0.0"
  },
  "scripts": {
    "start": "NODE_ENV=production node ./bootstrap.js",
    "dev": "cross-env && cross-env NODE_ENV=local TS_NODE_TYPE_CHECK=false TS_NODE_TRANSPILE_ONLY=true midway-bin dev --ts",
    "cov": "midway-bin cov --ts",
    "lint": "mwts check",
    "lint:fix": "mwts fix",
    "ci": "npm run cov",
    "build": "midway-bin build -c",
    "pm2:start": "pm2 start ./bootstrap.js -i max --name cool-admin",
    "pm2:stop": "pm2 stop cool-admin & pm2 delete cool-admin"
  },
  "midway-bin-clean": [
    ".vscode/.tsbuildinfo",
    "dist"
  ],
  "repository": {
    "type": "git",
    "url": "https://cool-js.com"
  },
  "author": "lixin&liqiannan",
  "license": "MIT"
}
